document.addEventListener("DOMContentLoaded", function (){
    const $btnExportar = document.querySelector("#btnExportar");
    const $tabla = document.querySelector("#tabla");

    $btnExportar.addEventListener("click", function () {
        var tableExport = new TableExport($tabla, {
            exportButtons: false, //no se quiere botones
            filename: "reporte de prueba", // luego cambio el nombre ese es el nombre del archivo excel
            sheetname: "reporte", //titulo de la hoja
        });
        
        var datos = tableExport.getExportData();
        var preferenciasDocumento = datos.tabla.xlsx;
        tableExport.export2file(preferenciasDocumento.data, preferenciasDocumento.mimeType, preferenciasDocumento.filename, preferenciasDocumento.fileExtension, preferenciasDocumento.merges, preferenciasDocumento.RTL, preferenciasDocumento.sheetname );
    });

});
// es el scripts que se encarga de generar el excel en base a la tabla 